SmartSource coupon printer doesn't work with Mac OSX 10.6 Snow Leopard

1 reply [Last post]
joleta
Offline
Joined: 03/29/2009

I've had my Mac for a year but just upgraded my OS to Snow Leopard. Previously, I was able to print SmartSource coupons, but since the upgrade I haven't been able to. I keep getting the "Java needs to be updated" message, but the version I was led to download won't install under Snow Leopard. I sent a support request to SmartSource and got the following reply, which basically says that SmartSource doesn't support Mac OSX 10.6 Snow Leopard, an operating system that has been available for over a year. I went round in circles before I got this reply, so I'm posting it here for anyone else who is having this problem. My question now is, do I just give up trying to print coupons?

Reply from SmartSource:
SmartSource coupons can be printed from these operating systems:
Windows XP
Vista
Macs running OSX 10.4 (Tiger) or 10.5 (Leopard)
We currently have partial support for the Windows 7 OS. We are aware of a few restrictions and are working to be fully compatible shortly.
We support these browsers:

Internet Explorer 6.0 and higher
Firefox below version 3.5. We are working on adding 3.5 compatibility.
Safari
Chrome
AOL (but not through AOL dial-up)
Windows 2000, CompuServe, Linux and WebTV systems are not supported.

We do not support printing using the AOL browser via AOL's dial-up service. However, you can use IE or Firefox if AOL is your ISP.

We currently have partial support for the Windows 7 OS. We are aware of a few restrictions and are working to be fully compatible shortly.
You must have Java version 1.5 or above installed. With Firefox 3.6 you must have Java version 1.6 or greater.

You must have a working printer connected to your computer. SmartSource coupons cannot be saved electronically to your desktop for printing sometime later or somewhere else. Your printer must be able to produce at a resolution of 300-dpi. Lower resolutions or draft-mode settings will not produce coupons legible enough and may result in a printer error, or be unable to scan at the checkout.

Please note: Computers in corporate environments or public access places often have firewalls that can prevent users from downloading our Coupon Printer.

J.R.
Offline
Joined: 03/18/2009
Don't have any Mac

Don't have any Mac experience...

I think I got that message when I first tried to use it on Win 7 with Firefox 3.6.12 but eventually it must have updated Java and works.

When are they gonna support Linux?